2 results with trim!


#1

Hello,

I’m trying too “Trim” but found it easier to split then keep the part I want.

Dim Split As Rhino.Geometry.Brep = ElementObj.Brep.Faces(0).Split(CrvList, doc.ModelAbsoluteTolerance)
doc.Objects.Delete(Element, True)

Dim FirstHalf As Geometry.Brep = Split.Faces(0).DuplicateFace(True)
Dim NewObjGuid As Guid = doc.Objects.AddBrep(FirstHalf)

The CrvList is a dupborder of the green/blue part.
The ElementObj is the Yellow object
The FirstHalf is the white object

Why doesnt it trim over the curve directly? I dont want some blue/green on the sides :stuck_out_tongue:

If I trim it by hand it looks like:

2nd question. If I split it. Is it possible to keep the attributes of the original object?


(Dale Fugier) #2

The picture don’t really help. Would really help is some geometry and working source code.


#3

First thing on the list tomorrow. :slight_smile: